package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwReverseOperation;
import com.dhcc.finance.main.domain.CwReverseOperationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwReverseOperationMapper {
    long countByExample(CwReverseOperationExample example);

    int deleteByExample(CwReverseOperationExample example);

    int deleteByPrimaryKey(String pkReverse);

    int insert(CwReverseOperation record);

    int insertSelective(CwReverseOperation record);

    List<CwReverseOperation> selectByExample(CwReverseOperationExample example);

    CwReverseOperation selectByPrimaryKey(String pkReverse);

    int updateByExampleSelective(@Param("record") CwReverseOperation record, @Param("example") CwReverseOperationExample example);

    int updateByExample(@Param("record") CwReverseOperation record, @Param("example") CwReverseOperationExample example);

    int updateByPrimaryKeySelective(CwReverseOperation record);

    int updateByPrimaryKey(CwReverseOperation record);
    /**
     * 功能描述  查询反向操作数量
     * @param reverseType
     * @return Integer
     * @author huangpeng
     * @param today 
     * @date 2019年7月5日 下午2:06:14
     * 修改日志
     */
	Integer searchCwReverseOperationCount(@Param("reverseType") String reverseType, @Param("today") String today);
	/**
	 * 功能描述：批量新增
	 * @param CwReverseOperationList
	 * @return int
	 * @author dml
	 * @date 2019年12月27日 下午5:25:06
	 * @修改日志：
	 */
	int insertBatch(List<CwReverseOperation> CwReverseOperationList);
}